|  | Home | Documentation | uddi2__keyedReference Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__keyedReference Class Reference

Schema urn:uddi-org:api_v2:"keyedReference". More...

`#include <uddi_v2.h>`

## Public Attributes
uddi2__tModelKey | tModelKey
| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey. More...
char * | keyName
| Attribute keyName of type xs:string. More...
char * | keyValue
| Attribute keyValue of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"keyedReference".

## Member Data Documentation

char* uddi2__keyedReference::keyName

Attribute keyName of type xs:string.

Optional attribute

char* uddi2__keyedReference::keyValue

Attribute keyValue of type xs:string.

Required attribute

struct soap* uddi2__keyedReference::soap

A handle to the soap struct context that manages this class instance.

uddi2__tModelKey uddi2__keyedReference::tModelKey

Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h